> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integration search count

> Returns total count of integrations matching the same filters as the search endpoint.



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/integration/count
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/count:
    post:
      tags:
        - Integration
      summary: Get integration search count
      description: >-
        Returns total count of integrations matching the same filters as the
        search endpoint.
      operationId: IntegrationController_getIntegrationsCount
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntegrationSearchDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationSearchCountResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    IntegrationSearchDto:
      type: object
      properties:
        size:
          type: number
        page:
          type: number
        filter:
          type: string
        search:
          type: string
        orderBy:
          type: string
        orderDir:
          type: string
          enum:
            - asc
            - desc
        includeDisabled:
          type: boolean
          description: Include disabled integrations in search results
        healthStatus:
          type: array
          description: Filter by health status (multiple allowed)
          items:
            type: string
            enum:
              - healthy
              - unhealthy
              - unstable
              - unknown
        ids:
          description: Restrict results to the given integration IDs
          type: array
          items:
            type: string
        integrationTypes:
          type: array
          description: >-
            Restrict results to integrations matching any of the provided
            integration types
          items:
            type: string
            enum:
              - collaboration
              - endpoint
              - identity
              - network_vpn
              - cloud
              - siem
              - saas
              - attack_simulation
              - deception
              - enrichment
              - email
              - firewall
              - dns
              - custom
    IntegrationSearchCountResponse:
      type: object
      properties:
        totalCount:
          type: number
          description: Total count of integrations matching the search criteria
      required:
        - totalCount
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````